Yesterday my server got it's php upgraded to 5.4
As a result 3 of my D6 sites are not working.
And because php does not work, the normal upgrading routine does not work either.

How do I proceed from here?
Content and databases are still intact.

As I am not too savvy, I'd prefer a simple time consuming method over a quick but deeply technical one :)

Edit:
Thanks to a savvy friend I was able to get going. He found that the problem came from one module and were able to disable it in the database and then reconfigure the sites.

Oh, the module that did not work with php 5.4 was mass_contact.

Comments

A lot of Drupal modules will have odd behaviors in 5.4 --- isn't there any way your host can just put you on a system running 5.3????

Steve Hanson
Principal Consultant Cruiskeen Consulting LLC
http://www.cruiskeenconsulting.com